<!-- <div fxLayout="row" fxLayoutAlign="space-between center">
  <div>
    <h2 mat-dialog-title>Editar Sim Card</h2>
  </div>
  <button mat-button mat-dialog-close>
    <mat-icon>close</mat-icon>
  </button>
</div> -->
<mat-toolbar matDialogTitle class="{{secondColorBrand}} m-0">
    <mat-toolbar-row fxLayout="row" fxLayoutAlign="space-between center">
        <span class="title dialog-title h1">Editar Sim Card</span>
    </mat-toolbar-row>
</mat-toolbar>
<br>
<form [formGroup]="simCardForm" (ngSubmit)="updateSimCard(simCardForm.value)" novalidate>
<mat-dialog-content>

    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
        <mat-form-field fxFlex="100">
            <mat-select placeholder="Operadora" formControlName="operator">
                <mat-option value="Claro">Claro</mat-option>
                <mat-option value="TIM">TIM</mat-option>
                <mat-option value="Vodafone">Vodafone</mat-option>
                <mat-option value="Vivo">Vivo</mat-option>
                <mat-option value="Oi">Oi</mat-option>
                <mat-option value="Nextel">Nextel</mat-option>
                <mat-option value="Algar">Algar</mat-option>
                <mat-option value="Porto">Porto</mat-option>
            </mat-select>
            <mat-error *ngIf="simCardForm.get('operator').hasError('required')">
              Por favor, selecione a operadora
            </mat-error>
        </mat-form-field>
    </div>
    <br>
    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
        <mat-form-field fxFlex="100">
          <input matInput [textMask]="{mask: simCardMask}" placeholder="Número do SimCard" required formControlName="iccid">
          <mat-error *ngIf="simCardForm.get('iccid').hasError('required')">
            Por favor, informe o número do Sim Card
          </mat-error>
        </mat-form-field>
    </div>
  <br>
  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
      <mat-form-field fxFlex="100">
        <input matInput [textMask]="{mask: phoneMask}"  placeholder="Número da linha" required formControlName="msisdn">
        <mat-error *ngIf="simCardForm.get('msisdn').hasError('required')">
          Por favor, informe o número da linha
        </mat-error>
      </mat-form-field>
  </div>
  <br>
  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
    <mat-form-field fxFlex="50">
      <mat-select placeholder="Marca" formControlName="brand">
        <mat-option *ngFor="let brand of brandList" [value]="brand.id">
          {{ brand.name }}
        </mat-option>
      </mat-select>
      <mat-error *ngIf="simCardForm.get('brand').hasError('required')">
        Por favor, selecione a marca
      </mat-error>
    </mat-form-field>
    <mat-form-field fxFlex="50" *ngIf="suppliers && suppliers.length > 0">
      <mat-select placeholder="Fornecedor" formControlName="supplier">
        <mat-option *ngFor="let supplier of suppliers" [value]="supplier['id']">
          {{ supplier['companyName'] }}
        </mat-option>
      </mat-select>
      <mat-error *ngIf="simCardForm.get('supplier').hasError('required')">
        Por favor, selecione um fornecedor
      </mat-error>
    </mat-form-field>
</div> 

</mat-dialog-content>
<mat-dialog-actions position="end">
  <button mat-raised-button color="warn" mat-dialog-close>Cancelar</button>
  <button mat-raised-button [disabled]="simCardForm.invalid" color="primary">Salvar</button>
</mat-dialog-actions>
</form>
